Loading...
Searching...
No Matches
JITModule.h File Reference

Defines the struct representing lifetime and dependencies of a JIT compiled halide pipeline. More...

`#include <map>`
`#include <memory>`
`#include <vector>`
`#include "IntrusivePtr.h"`
`#include "Target.h"`
`#include "Type.h"`
`#include "WasmExecutor.h"`
`#include "runtime/HalideRuntime.h"`

Go to the source code of this file.

## Classes

struct | Halide::JITHandlers
| A set of custom overrides of runtime functions. More...
struct | Halide::JITUserContext
| A context to be passed to Pipeline::realize. More...
struct | Halide::Internal::JITModule
struct | Halide::Internal::JITModule::Symbol
class | Halide::Internal::JITSharedRuntime
struct | Halide::Internal::JITCache
struct | Halide::Internal::JITErrorBuffer
struct | Halide::Internal::JITFuncCallContext

## Namespaces

namespace | llvm
namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void * | Halide::Internal::get_symbol_address (const char *s)

## Detailed Description

Defines the struct representing lifetime and dependencies of a JIT compiled halide pipeline.

Definition in file JITModule.h.